%define upstream_name	 Test-MockModule
%define upstream_version v0.178.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Override subroutines in a module for unit testing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(SUPER) >= 1.200.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warnings)
BuildArch:  noarch

%description
Test::MockModule is a Perl module that lets you temporarily redefine
subroutines in other packages for the purposes of unit testing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/Test/*
%{_mandir}/*/*

%changelog
* Sun Apr 28 2024 tv <tv> 0.178.0-1.mga10
+ Revision: 2061450
- update to v0.178.0

* Wed Mar 23 2022 umeabot <umeabot> 0.177.0-2.mga9
+ Revision: 1820738
- Mageia 9 Mass Rebuild

* Fri Sep 10 2021 tv <tv> 0.177.0-1.mga9
+ Revision: 1745015
- update to v0.177.0

* Thu Feb 25 2021 tv <tv> 0.176.0-1.mga9
+ Revision: 1690375
- update to v0.176.0

* Fri Sep 18 2020 tv <tv> 0.175.0-1.mga8
+ Revision: 1628502
- update to v0.175.0

* Tue Sep 15 2020 tv <tv> 0.174.0-1.mga8
+ Revision: 1626636
- update to v0.174.0

* Sun Jun 14 2020 tv <tv> 0.173.0-1.mga8
+ Revision: 1593260
- update to v0.173.0

* Sat Feb 22 2020 shlomif <shlomif> 0.172.0-1.mga8
+ Revision: 1549297
- update to v0.172.0

* Sun Feb 16 2020 umeabot <umeabot> 0.171.0-2.mga8
+ Revision: 1536657
- Mageia 8 Mass Rebuild

* Sun Oct 20 2019 tv <tv> 0.171.0-1.mga8
+ Revision: 1454754
- update to v0.171.0

* Thu Sep 20 2018 umeabot <umeabot> 0.170.0-2.mga7
+ Revision: 1286674
- Mageia 7 Mass Rebuild

* Sat Sep 01 2018 tv <tv> 0.170.0-1.mga7
+ Revision: 1256120
- update to v0.170.0

* Thu May 10 2018 shlomif <shlomif> 0.150.0-1.mga7
+ Revision: 1228165
- update to 0.15

* Sat May 05 2018 shlomif <shlomif> 0.140.0-1.mga7
+ Revision: 1226480
- New version 0.14

* Sun Oct 08 2017 tv <tv> 0.130.0-1.mga7
+ Revision: 1170256
- update to 0.13

* Tue Oct 03 2017 tv <tv> 0.120.0-2.mga7
+ Revision: 1166814
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 0.120.0-1.mga7
+ Revision: 1155682
- update to 0.12

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-3.mga6
+ Revision: 1034355
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.110.0-2.mga6
+ Revision: 968023
- Mageia 6 Mass Rebuild
+ tv <tv>
- new release

* Sun Jul 05 2015 sander85 <sander85> 0.100.0-1.mga6
+ Revision: 850940
- update to 0.10

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 747154
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 686488
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 515236
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 373619
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 22716
- cleaning spec file
- imported package perl-Test-MockModule

